PDA

View Full Version : mysqlhotcopy missing and dependencies



jmroth
14-May-2012, 14:19
Hi,

first I found that mysqlhotcopy was missing from the standard SLES11 SP1 mysql package.
Then I installed the latest update of the package which included it again.
But only to find out that a dependency to perl-DBD-mysql was missing for mysqlhotcopy to work.

Just thought I'd let you know. Not sure if a TID exists or some other support resource. At least I couldn't find any.

Bye

Marki

malcolmlewis
14-May-2012, 14:40
Hi,

first I found that mysqlhotcopy was missing from the standard SLES11
SP1 mysql package.
Then I installed the latest update of the package which included it
again.
But only to find out that a dependency to perl-DBD-mysql was missing
for mysqlhotcopy to work.

Just thought I'd let you know. Not sure if a TID exists or some other
support resource. At least I couldn't find any.

Bye

Marki



Hi
Thanks for the report, I will pass it on to my SUSE contacts.

Did it ask for perl-DBD-mysql when installing? I do note that it's in
the SLE11-SDK-SP1-Pool repository, which is not included by default. So
I would assume (since this is an Add on product) not part of the
requires.


--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 12.1 (x86_64) Kernel 3.1.10-1.9-desktop
up 2 days 17:56, 4 users, load average: 0.01, 0.03, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

jmroth
14-May-2012, 15:29
Nope didn't ask for anything I can remember. What I did was an upgrade from mysql(-client) 5.0.67.
Hmm. perl-DBD-mysql-... seems to be part of both SDK and normal pools?



# find . -iname 'perl-DBD-mysql*'
./SLE11-SDK-SP1-Pool/sle-11-x86_64/rpm/x86_64/perl-DBD-mysql-4.008-4.3.x86_64.rpm
./SLES11-SP1-Pool/sle-11-x86_64/rpm/x86_64/perl-DBD-mysql-4.008-4.3.x86_64.rpm


Anyhow, if the dependency was forgotten, I can understand that.
They added mysqlhotcopy back in but forgot to look closer... unfortunately, it's the only perl script in there:



# for i in $(rpm -ql mysql-client | grep /usr/bin); do file $i;done
/usr/bin/mysql: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), for GNU/Linux 2.6.4, dynamically linked (uses shared libs), stripped
/usr/bin/mysqladmin: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), for GNU/Linux 2.6.4, dynamically linked (uses shared libs), stripped
/usr/bin/mysqlcheck: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), for GNU/Linux 2.6.4, dynamically linked (uses shared libs), stripped
/usr/bin/mysqldump: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), for GNU/Linux 2.6.4, dynamically linked (uses shared libs), stripped
/usr/bin/mysqlhotcopy: a /usr/bin/perl script text
/usr/bin/mysqlimport: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), for GNU/Linux 2.6.4, dynamically linked (uses shared libs), stripped
/usr/bin/mysqlshow: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), for GNU/Linux 2.6.4, dynamically linked (uses shared libs), stripped

smflood
14-May-2012, 16:17
On 14/05/2012 14:24, jmroth wrote:

> first I found that mysqlhotcopy was missing from the standard SLES11
> SP1 mysql package.
> Then I installed the latest update of the package which included it
> again.
> But only to find out that a dependency to perl-DBD-mysql was missing
> for mysqlhotcopy to work.

You might want to look into using mysqldump instead.

HTH.
--
Simon
Novell/SUSE/NetIQ Knowledge Partner

------------------------------------------------------------------------
Do you work with Novell technologies at a university, college or school?
If so, your campus could benefit from joining the Novell Technology
Transfer Partner (TTP) program. See novell.com/ttp for more details.
------------------------------------------------------------------------

jmroth
15-May-2012, 08:04
On 14/05/2012 14:24, jmroth wrote:
You might want to look into using mysqldump instead.


I'm actually using both. (You never know...)